/********************************************* 
	File "sa.h"
	Simulated Annealing
	Santiago Gonzalez Tortosa
	Athens Course 2005
	Facultad de Informatica
	Universidad Politecnica de Madrid
**********************************************/


#ifndef SA_PACKAGE_H_



typedef int bool;
#define false 0;
#define true !false;

/* Interface functions */
void SA(void *data, double temp_ini, double temp_fin);
void *SAinitial(void *data);
void *SAchange(void *data);
double SAeval(void *data);
double SAProb(double fbest,double fnow, double temp);
bool SAConverge(long i, double temp, double temp_fin);
void SAPresent(long i,void *best,double fbest);

#endif
